package com.zy.bms.controller.pc;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.common.io.pc.RoleIO;
import com.zy.bms.service.IRoleService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 角色表 前端控制器
 * </p>
 *
 * @author chenyi
 * @since 2021-05-19
 */
@RestController
@RequestMapping("/builder/role")
public class RoleController {

    @Resource
    private IRoleService roleService;

    /**
     * 分页查询所有项目
     */
    @PostMapping("listPage")
    public ServerResponse listPage(RoleIO io) {
        return ServerResponse.createBySuccess(roleService.listPage(io));
    }
}
