package com.zy.bms.controller.pc;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.common.io.pc.GroupIO;
import com.zy.bms.service.IGroupService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 项目组 前端控制器
 * </p>
 *
 * @author chenyi
 * @since 2021-05-19
 */
@RestController
@RequestMapping("/builder/group")
public class GroupController {
    @Resource
    private IGroupService groupService;

    /**
     * 分页查询所有项目
     */
    @PostMapping("listPage")
    public ServerResponse listPage(GroupIO io) {
        return ServerResponse.createBySuccess(groupService.listPage(io));
    }

}
